.wrapper#container:has(.table-row-container--telecom),
.wrapper:has(.table-row-container--broadband),
.wrapper#container:has(.table-row-container--economy) {
  margin-top: 32px;
}

.table-grid-compressed {
  display: grid;
  gap: 10px 16px;
  grid-template-columns: 244px auto;
  grid-template-areas:
    "table-info table-info table-info table-info"
    "table-filter table-container table-container table-container";
}

.table-grid-full-width {
  display: grid;
  gap: 10px 0;
  grid-auto-flow: row;
  grid-template-areas:
        "table-filter table-filter table-filter table-filter"
        "table-info table-info table-info table-info"
        "table-container table-container table-container table-container";
}

.table-filter {
  display: block;
  grid-area: table-filter;
  background: #fff;
  height: max-content;
  border-radius: 10px;
  border: 1px solid #DFE4EB;
  filter: drop-shadow(var(--table-box-shadow));
  margin-bottom: 22px;
}

.table-info {
  grid-area: table-info;
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  gap: 0 10px;
  flex-wrap: wrap;
}

.table-info:has(.family-container) {
  justify-content: space-between;
  align-items: end;
}

.kontantkort-filter:has(.demography-buttons) .table-info {
  justify-content: space-between;
}

.table-info .table-info__headline {
  font-weight: 600;
  font-size: 16px;
}

.table-info__subheadline {
  font-size: 14px;
  display: inline-block;
  align-items: baseline;
  position: relative;
  z-index: 4;
}

.table-info__subheadline::before {
  font-family: "Font Awesome 6 Pro";
  content: "\f00c";
  color: #0DA014;
  font-weight: 600;
}

.table-container {
  height: max-content;
  grid-area: table-container;
}

.table-container--cards {
  display: grid;
  grid-template-columns: repeat(3, minmax(0, 1fr));
  grid-gap: 10px;
}

.table-grid-full-width .filter__container {
  display: grid;
  grid-template-columns: 310px auto auto auto;
  gap: 0 20px;
}

.table-info__buttons__filter {
  background: transparent;
  width: 113px;
  font-size: 16px;
  cursor: pointer;
  border-radius: 10px;
  height: 38px;
  position: relative;
  z-index: 3;
  align-self: end;
  justify-content: space-between;
  padding: 8px;
  align-items: center;
  border: 1px solid var(--blue500);
  display: none;
}

.table-info__buttons__filter:hover {
  background: var(--bg-border-button-hover);
}

.table-info__buttons__filter:before {
  font-family: 'Font Awesome 6 Pro';
  font-weight: 500;
  content: "\f1de";
  color: var(--blue500);
}

.table-info__buttons__filter span {
  font-weight: 600;
  color: var(--blue500);
}


.table-info .table-info__information {
  color: #222;
  font-weight: 400;
  align-self: end;
  margin-right: auto;
  display: flex;
  flex-direction: column;
  gap: 4px;
  line-height: 1.4;
}

.table-info.insurance .table-info__information {
  padding-bottom: 0;
}

.table-container--cards .p-cta-alt-articles {
  grid-column: 2;
}

.noResult {
  padding-bottom: 80px;
  display: flex;
  position: relative;
  z-index: 1;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

.noResult i.fa-regular.fa-party-horn {
  font-size: 48px;
  color: #B7B8C3;
  margin-top: 48px;
  margin-bottom: 16px;
}

.table-container--cards .noResult {
  grid-column: 1/-1;
}

.no-result-img {
  width: 67px;
  margin-top: 48px;
  margin-bottom: 16px;
}

.no-result-string-first {
  color: #222222;
  font-size: 20px;
  margin-bottom: 8px;
  font-weight: 600;
}

.no-result-string-second {
  color: #222222;
  font-size: 16px;
  margin-bottom: 24px;
}

.noResult .no-result-string-second .filter__container__button {
  border: none;
  display: inline-block !important;
  margin: 0 !important;
  height: auto;
  padding: 0;
  color: #3B65CE;
  font-family: var(--font-family-custom);
  font-weight: 400;
  font-size: 16px;
  position: relative;
  top: 0;
  right: 0;
}

.demography-buttons {
  width: 100%;
  text-decoration: none;
  color: inherit;
  margin-right: auto;
}

.demography-buttons-headline {
  align-self: flex-start;
  font-size: 12px;
  font-weight: 700;
  color: #222;
}

.demography-buttons-outer {
  width: 100%;
  overflow-x: auto;
  white-space: nowrap;
}

.demography-buttons-outer::-webkit-scrollbar {
  -webkit-appearance: none;
}
.demography-buttons-outer::-webkit-scrollbar:vertical {
  width: 12px;
}
.demography-buttons-outer::-webkit-scrollbar:horizontal {
  height: 4px;
}
.demography-buttons-outer::-webkit-scrollbar-thumb {
  background-color: #646B7D;
  border-radius: 5px;
}
.demography-buttons-outer::-webkit-scrollbar-track {
  border-radius: 5px;
  background-color: #C8CAD1;
}

.demography-buttons-inner::-webkit-scrollbar {
  display: none;
}

.demography-buttons-group {
  white-space: nowrap;
}

.demography-buttons-single {
  display: inline-flex;
  align-items: center;
  height: 35px;
  font-size: 14px;
  font-weight: 600;
  color: #306BEA;
  border: 1px solid #306BEA;
  border-radius: 10px;
  padding: 8px 16px;
  margin: 8px 8px 24px 0;
  line-height: 1;
}

.demography-buttons-single:hover,
.demography-buttons-single:active,
.demography-buttons-single:focus,
.demography-buttons-single.active {
  background: #E8F1FF;
  text-decoration: none;
  color: var(--blue500);
}

.extra-scroll-space {
  width: 50px;
  display: -webkit-inline-box;
}

.no-partner-modal-container,
.partner-modal-container {
  position: fixed;
  top: 50%;
  right: 50%;
  transform: translate(50%, -50%);
  z-index: 10;
  max-width: 488px;
  background: #fff;
  padding: 32px 24px;
  border-radius: 10px;
  font-family: Open Sans, Open Sans-fallback, sans-serif;
}

.partner-modal-container {
  width: 694px;
  max-width: none;
  padding: 0 0 84px 0;
}

.partner-modal-container .product-modal-header {
  display: flex;
  justify-content: space-between;
  flex-direction: column;
}

.partner-modal-container .product-modal-header .product-modal-header-columns {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-basis: 100%;
  padding: 24px 24px 0px 24px;
}

.partner-modal-container .product-modal-header .product-modal-header-name {
  display: flex;
  flex-basis: 100%;
  font-size: 20px;
  font-weight: 700;
}

.partner-modal-container .product-modal-header .product-modal-header-name .data-column-container__unit {
  font-size: 16px;
}

.partner-modal-container .product-modal-header .product-modal-header-columns .data-column-container__text {
  font-size: 12px;
}

.partner-modal-container .product-modal-header .product-modal-header-columns .data-column-container__value-container {
  font-size: 20px;
}

.partner-modal-container .product-modal-header .product-modal-header-close {
  display: none;
}

.partner-modal-container .product-modal-header > span {
  font-size: 20px;
  font-weight: 700;
}

.partner-modal-container .product-modal-header img {
  max-height: 28px;
  width: auto;
}

.partner-modal-container-broadband .column-container__item.data-column-container.bind-col {
  flex: 0 0 100px;
}

.partner-modal-container .product-modal-body::-webkit-scrollbar {
  display: none;
}

.partner-modal-container .product-modal-body {
  scrollbar-width: none;
}

.partner-modal-container .product-modal-body {
  display: flex;
  justify-content: space-between;
  gap: 64px;
  overflow: hidden;
  overflow-y: scroll;
  padding: 0 24px 32px 24px;
}

.partner-modal-container .product-modal-body .product-modal-section-title {
  font-size: 14px;
  font-weight: 700;
  margin-top: 24px;
}

.partner-modal-container .product-modal-body .product-modal-section-data {
  display: flex;
  justify-content: space-between;
  font-size: 14px;
  margin-top: 12px;
  line-height: 1;
}

.partner-modal-container .product-modal-body .product-modal-section-data-separator {
  flex: 1 1 0%;
  margin: 0 3px 3px;
  border-width: 0 0 1px;
  border-bottom-style: dotted;
  border-bottom-color: #AAACB0;
}

.partner-modal-container .product-modal-body .product-modal-section-data-value {
  font-weight: 600;
}

.partner-modal-container .product-modal-body .product-modal-section-data-value.campaign-color {
  color: #E1311B;
}

.partner-modal-container .product-modal-body .product-modal-section-line {
  border-bottom: 1px solid #707070;
  margin: 12px 2px;
}

.partner-modal-container .product-modal-body .product-modal-section-data-comparison-wrapper {
  display: flex;
  justify-content: space-between;
  background: #E8F1FF;
  border-radius: 4px;
  line-height: 1.4;
  padding: 8px;
  margin-top: 16px;
}

.partner-modal-container .product-modal-body .product-modal-section-data-comparison-disclaimer {
  display: flex;
  justify-content: end;
  font-size: 12px;
  line-height: 1;
  margin-top: 8px;
}

.partner-modal-container .product-modal-body .product-modal-offer {
  border-radius: 5px;
  background: #FCF4F5;
  padding: 8px;
  margin-top: 24px;
}

.partner-modal-container .product-modal-body .product-modal-offer-label {
  text-transform: uppercase;
  font-size: 14px;
  font-weight: 600;
  color: #E1311B;
}

.partner-modal-container .product-modal-body .product-modal-body-left,
.partner-modal-container .product-modal-body .product-modal-body-right {
  flex: 0 1 50%;
}

.partner-modal-container .product-modal-footer {
  position: absolute;
  left: 0;
  right: 0;
  padding: 18px 24px;
  display: flex;
  align-items: center;
  box-shadow: 0 -3px 3px #4A4E691A;
}

.mobilabonnemang-modal.partner-modal-container .product-modal-footer,
.kontantkort-modal.partner-modal-container .product-modal-footer,
.mobiltbredband-modal.partner-modal-container .product-modal-footer,
.mobiltbredbandkontant-modal.partner-modal-container .product-modal-footer,
.partner-modal-container-broadband.partner-modal-container .product-modal-footer {
  box-shadow: 0 -3px 3px #2E54B626;
}

.partner-modal-container .product-modal-footer-click-count {
  display: flex;
  align-items: center;
  gap: 4px;
  margin-right: auto;
}

.partner-modal-container .product-modal-footer-click-count i {
  color: #0DA014;
  font-size: 18px;
  margin-right: 4px;
}

.partner-modal-container .product-modal-footer-price {
  margin-left: auto;
  margin-right: 16px;
  font-size: 18px;
  font-weight: 900;
}

.partner-modal-container .product-modal-footer-price__campaign {
  border-radius: 5px;
  padding: 4px 8px;
  margin-right: 20px;
  display: flex;
  flex-direction: column-reverse;
  align-items: end;
  background: #FCF4F5;
}

.partner-modal-container .produt-modal-footer-price__family {
  border-radius: 5px;
  padding: 4px 8px;
  margin-right: 20px;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  background: #FCF4F5;
}

.partner-modal-container .produt-modal-footer-price__family del.product-modal-footer-price__monthly-price {
  text-decoration: none;
}

.partner-modal-container del.product-modal-footer-price__monthly-price {
  font-size: 12px;
}

.partner-modal-container .product-modal-footer-price__unit {
  display: inline;
  font-size: 12px;
  font-weight: 400;
}

.partner-modal-container .product-modal-footer-price__price-color {
  color: #E1311B;
  font-size: 20px;
  font-weight: 700;
  line-height: 1;
}

.partner-modal-container .product-modal-footer-price__text {
  display: inline;
  font-size: 12px;
  font-weight: 400;
}

.product-modal-footer-price__ordinary {
  margin-right: 20px;
}

.partner-modal-container .product-modal-footer-price__ordinary .product-modal-footer-price__price-color,
.partner-modal-container .product-modal-footer-price__yearly .product-modal-footer-price__price-color {
  color: #222;
  font-size: 20px;
  font-weight: 700;
  line-height: 1;
}

.product-modal-footer-price__yearly {
  border-radius: 5px;
  padding: 4px 8px;
  margin-right: 20px;
}

.kontantkort-modal .product-modal-footer-price__yearly {
  margin-right: 20px;
  border-radius: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
}

.partner-modal-container .product-modal-footer-price__yearly del.product-modal-footer-price__monthly-price {
  text-decoration: none;
}

.no-partner-modal-container .generic-width-max-content,
.partner-modal-container .generic-width-max-content {
  max-width: max-content;
  margin: 0 auto;
}

.partner-modal-container i.modal-close-icon.fa-regular.fa-xmark {
  font-family: "Font Awesome 6 Pro";
  font-weight: 600;
  font-size: 20px;
  width: 40px;
  height: 40px;
  position: absolute;
  top: -40px;
  right: -40px;
  color: #fff;
  background: #808396;
  padding: 14px;
  border-radius: 50%;
  border: 1px solid #808396;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

.partner-modal-container i.modal-close-icon.fa-regular.fa-xmark:hover {
  background: #B7B8C3;
}

/* Economy sector */
.partner-modal-container.economy-sector .product-modal-header i {
  display: none !important;
}

.partner-modal-container.economy-sector .product-modal-header {
  flex-direction: row;
  align-items: center;
  padding: 24px 24px 0;
}

.table-info.insurance .table-filter {
  display: flex;
  background: none;
  height: auto;
  border-radius: 0;
  filter: none;
  margin-bottom: 0;
  z-index: 5;
}
.table-info.insurance .filter__container {
  grid-template-columns: 100%;
}
.table-info.insurance .group__checkboxes {
  display: flex;
  column-gap: 22px;
}
.table-info.insurance .filter__container__outer {
  padding: 0;
}
.table-info.insurance .default-radiobutton {
  padding: 6px 3px 6px 0;
}
.table-info.insurance .default-radiobutton span:first-child {
  border: 1px solid #4D72B1;
}
.table-info.insurance .default-radiobutton__input:checked + .default-radiobutton span:first-child {
  background: #4D72B1;
  border-color: #4D72B1;
}
.table-info.insurance .filter__container__group .filter__container__title {
  font-family: Open Sans, Open Sans-fallback, sans-serif;
  pointer-events: none;
}
.table-info.insurance .default-radiobutton span:last-child {
  padding-left: 4px;
}
.table-info.insurance .default-radiobutton:hover {
  background: none;
}

.table-row-error-report {
  background: #F6F6F8;
  border: 1px solid #D2D3DA;
  border-radius: 10px;
  padding: 8px;
  margin-top: -8px;
  margin-bottom: 16px;
  display: flex;
  gap: 4px;
  font-size: 12px;
  color: #808396;
  position: relative;
  overflow: hidden;
}
.table-row-error-report i {
  font-size: 10px;
}
.table-row-error-report span {
  line-height: 1.4;
}
.table-row-error-report .table-row-error-report-close {
  content: "\f00d";
  font-family: "Font Awesome 6 Pro";
  font-weight: 600;
  font-size: 14px;
  position: absolute;
  top: 0;
  right: 0;
  padding: 10px 16px;
  line-height: 1;
  cursor: pointer;
}
.table-row-error-report-modal-container {
  transform: translateX(-1000%);
  position: fixed;
  top: 10%;
  left: 0;
  right: 0;
  z-index: 7;
  max-width: 660px;
  margin: 0 auto;
  padding: 0 45px;
  border-radius: 10px;
}
.table-row-error-report-modal-container-close {
  font-family: "Font Awesome 6 Pro";
  font-weight: 600;
  font-size: 20px;
  width: 40px;
  height: 40px;
  position: absolute;
  top: -40px;
  right: 5px;
  color: #fff;
  background: #808396;
  padding: 14px;
  border-radius: 50%;
  border: 1px solid #808396;
  display: flex;
  align-items: center;
  justify-content: center;
}
.table-row-error-report-modal-container-close:hover {
  background: #4a4e69;
  border-color: #4a4e69;
}
.table-row-error-report-modal {
  background: #fff;
  padding: 32px 20px 32px 32px;
  border-radius: 10px;
}
.table-row-error-report-scrollable-content {
  padding-right: 12px;
}
.table-row-error-report-modal-headline {
  font-family: var(--font-family-custom);
  font-size: 20px;
  font-weight: 600;
  color: #4A4E69;
  line-height: 1;
}
.table-row-error-report-modal-product {
  display: flex;
  align-items: center;
  padding: 16px;
  border: 1px solid #D2D3DA;
  border-radius: 10px;
  margin: 24px 0;
}
.table-row-error-report-modal-product img {
  width: auto;
  height: 20px;
}
.table-row-error-report-modal-product > div {
  display: flex;
  flex-direction: column;
  margin-left: 24px;
  font-weight: 600;
}
.table-row-error-report-modal-product-price {
  color: #E1311B;
  font-weight: 400;
}
.table-row-error-report-modal-product-price.no-campaign {
  color: #222;
}
.table-row-error-report-modal-product-price del {
  color: #222222;
}
.table-row-error-report-modal-list {
  list-style: none;
  margin: 0;
  padding: 0;
}
.table-row-error-report-modal-list li {
  margin-bottom: 24px;
  position: relative;
  cursor: pointer;
  display: block;
}
.table-row-error-report-modal-list li input {
  margin: 0;
  cursor: pointer;
}
.table-row-error-report-modal-list li input[type='radio']:after {
  width: 16px;
  height: 16px;
  border-radius: 15px;
  top: -1px;
  left: 0;
  position: relative;
  background-color: #fff;
  content: '';
  display: inline-block;
  visibility: visible;
  border: 1px solid #306BEA;
}
.table-row-error-report-modal-list li input[type='radio']:checked:after {
  width: 16px;
  height: 16px;
  border-radius: 15px;
  top: -2px;
  left: 0;
  position: relative;
  background-color: #fff;
  font-family: "Font Awesome 6 Pro";
  font-size: 17px;
  content: "\f192";
  color: #306BEA;
  visibility: visible;
  display: flex;
  justify-content: center;
  align-items: center;
}
.table-row-error-report-modal-list li label {
  display: inline-block;
  width: calc(100% - 20px);
  font-size: 14px;
  font-weight: 700;
  padding-left: 21px;
  cursor: pointer;
  line-height: 1;
  position: absolute;
  top: 0;
  left: 0;
}
.table-row-error-report-modal-list li .error-option > span {
  display: block;
  padding-left: 21px;
  color: #222;
}
.table-row-error-report-modal-list li .error-option.textarea-focused:after {
  content: 'Beskriv gärna felet mer ingående (valfritt)';
  position: absolute;
  bottom: 140px;
  left: 35px;
  font-size: 12px;
  font-weight: 600;
  color: #4A4E69;
}
.table-row-error-report-modal-list li .error-option.textarea-focused:has(#other-issue):after {
  content: 'Beskriv vad som är fel';
}
.table-row-error-report-modal-list li input#first-option + label.textarea-focused + span + textarea + .textarea-character-counter:after,
.table-row-error-report-modal-list li input#second-option + label.textarea-focused + span + textarea + .textarea-character-counter:after,
.table-row-error-report-modal-list li input#third-option + label.textarea-focused + span + textarea + .textarea-character-counter:after,
.table-row-error-report-modal-list li input#fourth-option + label.textarea-focused + span + textarea + .textarea-character-counter:after,
.table-row-error-report-modal-list li input#fifth-option + label.textarea-focused + span + textarea + .textarea-character-counter:after {
  content: 'Beskriv gärna felet mer ingående (valfritt)';
  position: absolute;
  bottom: 140px;
  left: 35px;
  font-size: 12px;
  font-weight: 600;
  color: #4A4E69;
}
.table-row-error-report-modal-list textarea.issue-textarea {
  display: none;
  width: calc(100% - 22px);
  height: 140px;
  margin-top: 12px;
  margin-left: 22px;
  padding: 12px;
  border: 1px solid #A5C3F1;
  border-radius: 5px;
  font-size: 14px;
  color: #222222;
  outline: none;
  resize: none;
  font-size: 14px !important;
}
.table-row-error-report-modal-list .textarea-character-counter {
  display: none;
  justify-content: end;
  margin-bottom: 8px;
  position: relative;
}
.table-row-error-report-modal-list .textarea-character-counter span {
  margin: 0;
}
.table-row-error-report-modal-send {
  display: inline-block;
  border-radius: 10px;
  padding: 12px 24px;
  background: var(--blue500);
  color: #fff;
  cursor: pointer;
  text-transform: uppercase;
  font-weight: 600;
}
.table-row-error-report-modal-send:hover {
  text-decoration: none;
  background: #2E54B6;
  color: #fff;
}
.table-row-error-report-modal-send.disabled {
  background: #DEDFE2;
  color: #222;
  cursor: no-drop;
}.table-row-error-report-modal-send.disabled:hover {
   background: #DEDFE2;
   color: #222;
 }
.table-row-error-report-feedback-modal {
  transform: translateX(-1000%);
  position: fixed;
  top: 30%;
  left: 0;
  right: 0;
  z-index: 7;
  max-width: 660px;
  margin: 0 auto;
  padding: 40px;
  border-radius: 10px;
  background: #fff;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.table-row-error-report-feedback-modal-headline {
  display: flex;
  flex-direction: column;
  align-items: center;
  font-size: 20px;
  font-weight: 600;
}
.table-row-error-report-feedback-modal-headline:before {
  font-family: "Font Awesome 6 Pro";
  font-size: 42px;
  font-weight: 600;
  content: "\f058";
  color: #0DA014;
  margin-bottom: 16px;
  line-height: 1;
}
.table-row-error-report-feedback-modal-body {
  font-size: 18px;
  margin-top: 16px;
  line-height: 1;
  text-align: center;
}
.table-row-error-report-feedback-modal-close {
  font-size: 14px;
  font-weight: 600;
  border-radius: 10px;
  padding: 12px 24px;
  background: var(--blue500);
  color: #fff;
  font-family: var(--font-family-custom);
  cursor: pointer;
  line-height: 1.4;
  margin-top: 24px;
  text-transform: uppercase;
}
.table-row-error-report-feedback-modal-close:hover {
  text-decoration: none;
  background: #2E54B6;
  color: #fff;
}

.product-modal-footer-cta a i {
  font-size: 11px;
  font-weight: 600;
  position: relative;
  bottom: 1px;
}

.table-row-container.table-row-container--telecom.cheapest-item,
.table-row-container.table-row-container--broadband.cheapest-item {
  border: 1px solid #0DA014;
}
.table-row-container.table-row-container--telecom.cheapest-item:before,
.table-row-container.table-row-container--broadband.cheapest-item:before {
  content: 'Billigast';
  position: absolute;
  top: -10px;
  left: 12px;
  color: #0DA014;
  background: #fff;
  padding: 0 4px;
  background: linear-gradient(to bottom, var(--bg-gradient) 0%, var(--bg-gradient) 38%, #fff 39%, #fff 100%);
}
.table-row-container.table-row-container--telecom.most-popular-item,
.table-row-container.table-row-container--broadband.most-popular-item {
  border: 1px solid #0DA014;
}
.table-row-container.table-row-container--telecom.most-popular-item:before,
.table-row-container.table-row-container--broadband.most-popular-item:before {
  content: 'Populärast';
  position: absolute;
  top: -10px;
  left: 12px;
  color: #0DA014;
  background: #fff;
  padding: 0 4px;
  background: linear-gradient(to bottom, var(--bg-gradient) 0%, var(--bg-gradient) 38%, #fff 39%, #fff 100%);
}

@media screen and (max-width: 1024px) {
  .table-grid-full-width .filter__container {
    grid-template-columns: 250px auto auto auto;
  }
  .table-container--cards {
    display: grid;
    grid-template-columns: repeat(2, minmax(0, 1fr));
    grid-gap: 10px;
  }
  .table-row-error-report-modal-container-close:hover {
    background: none;
    border-color: transparent;
  }
}

@media screen and (max-height: 800px) {
  .table-row-error-report-modal-container {
    top: 50px;
    bottom: 50px;
  }
  .table-row-error-report-modal {
    max-height: 100dvh;
  }
  .table-row-error-report-scrollable-content {
    position: relative;
    overflow-y: auto;
    max-height: calc(100dvh - 225px);
  }
}

@media screen and (max-width: 799px) {
  .demography-buttons-single {
    margin: 8px 8px 18px 0;
  }

  .table-row-error-report-modal-list textarea.issue-textarea {
    height: 200px;
    font-size: 16px !important;
  }

  .table-grid-full-width {
    grid-template-columns: 100%;
    grid-template-areas:
        "table-info"
        "table-container";
  }

  .table-grid-compressed {
    gap: 15px 10px;
    grid-template-columns: 300px auto;
    grid-template-areas:
            "table-info table-info table-info table-info"
            "table-container table-container table-container table-container";
  }

  .table-grid-full-width .filter__container {
    display: grid;
    grid-template-columns: 100%;
    grid-auto-rows: max-content;
    gap: 8px 0;
  }

  .table-bolan.table-grid-full-width .filter__container {
    grid-template-columns: 100% !important;
  }

  .table-info {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(3, auto);
    gap: 10px 16px;
    min-height: 63px;
  }

  .table-info .table-info__information {
    grid-column: 1 / -1;
    grid-row: 3;
    display: flex;
    justify-content: space-between;
    gap: 4px;
    width: 100%;
  }

  .table-info.table-info--no-widget .table-info__information {
    grid-column: 1 / -1;
  }

  .table-info.table-info--no-widget .filter__container__widget {
    grid-column: none;
    display: none;
  }

  .table-filter {
    position: fixed;
    z-index: 7;
    width: 100%;
    left: 0;
    bottom: 0;
    transform: translateX(-100%);
    border-radius: 0;
    margin-bottom: 0;
    filter: none;
    border: 1px solid #EBEBEB;
    height: 100%;
  }

  .table-info.insurance .table-filter {
    border: none;
  }

  .table-filter-overflowing {
    height: var(--app-height);
  }

  .table-info__buttons__filter {
    display: flex;
    flex: 0 1 calc(50% - 8px);
  }

  .table-info .control-group {
    max-width: none;
  }

  .table-container--cards .p-cta-alt-articles {
    grid-column: 1 / span 2;
  }

  .table-info.insurance {
    display: flex;
    justify-content: start;
  }
  .table-info.insurance .table-info__buttons__sorting {
    margin-left: 16px;
  }
  .table-info.insurance .group__checkboxes {
    display: block;
  }
  .table-info.insurance .filter-header,
  .table-info.insurance .filter__container__result-button {
    display: none;
  }
  .table-info.insurance .marked-overlay-option .overlay__option {
    background: var(--bg-border-button-hover);
  }
  .table-info.insurance .table-filter {
    transform: translateX(0);
    position: static;
  }
  .table-info.insurance .table-info__buttons__filter {
    display: none;
  }
  .table-info.insurance .table-info__information {
    width: 100%;
  }
  .table-info.insurance .filter__container {
    padding-bottom: 15px;
  }
  .table-info.insurance .filter__container__group .filter__container__title::after {
    display: none;
  }
  .table-info.insurance .filter__container__group {
    padding: 0;
  }

  .table-row-error-report-modal-container {
    top: auto;
    bottom: 0;
    padding: 0;
  }
  .table-row-error-report-modal {
    padding: 16px;
    border-radius: 10px 10px 0 0;
  }
  .table-row-error-report-modal {
    padding: 0;
    position: relative;
    max-height: 100dvh;
  }
  .table-row-error-report-scrollable-content {
    position: relative;
    overflow-y: scroll;
    max-height: calc(100dvh - 130px);
  }
  .table-row-error-report-modal-list li .error-option.textarea-focused:after {
    bottom: 200px;
  }
  .table-row-error-report-modal-headline {
    position: sticky;
    top: 0;
    background: #fff;
    padding: 16px;
    display: inline-block;
    width: 100%;
    border-bottom: 1px solid #D2D3DA;
    font-size: 18px;
    z-index: 1;
  }
  .table-row-error-report-modal-product {
    margin: 24px 16px;
  }
  .table-row-error-report-modal-list {
    margin: 0 16px;
  }
  .table-row-error-report-modal-send-wrapper {
    position: sticky;
    bottom: 0;
    padding: 16px;
    background: #fff;
    width: 100%;
    text-align: center;
    box-shadow: 0 -3px 3px #2E54B626;
  }
  .table-row-error-report-modal-send {
    width: 100%;
  }
  .table-row-error-report-feedback-modal {
    left: 5%;
    right: 5%;
  }
  .table-row-error-report-modal-container-close {
    top: 7px;
    right: 1px;
    z-index: 2;
    color: #4A4E69;
    background: none;
    padding: 14px;
    border: none;
  }
  .table-row-error-report-modal-send.disabled {
    pointer-events: none;
  }

  .table-info.insurance .table-info__buttons__sorting {
    margin: 0;
    align-self: start;
  }
  .table-info.insurance .table-info__buttons__sorting__overlay .overlay__default li {
    margin-top: 0;
  }
  .table-info {
    grid-template-columns: repeat(1, 1fr);
  }
  .table-info__buttons__filter {
    font-size: 14px;
    justify-content: center;
    gap: 8px;
  }

  .kontantkort-filter .table-info,
  .mobiltbredbandkontant-filter .table-info {
    flex-wrap: wrap;
  }

  .mobilabonnemang-filter .table-info,
  .mobiltbredband-filter .table-info,
  .page-template-sokresultat .table-info {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 10px 16px;
  }

  .mobilabonnemang-filter .table-info__buttons__price,
  .mobiltbredband-filter .table-info__buttons__price,
  .page-template-sokresultat .table-info__buttons__price {
    flex: 0 0 auto;
    height: 40px;
    order: 1;
    width: auto;
    max-width: none;
  }

  .table-economy .table-info__buttons__sorting,
  .table-bolan .table-info__buttons__sorting,
  .table-company-loans .table-info__buttons__sorting {
    flex: 0 0 auto;
  }

  .mobilabonnemang-filter .overlay__default .overlay__option,
  .mobiltbredband-filter .overlay__default .overlay__option,
  .mobiltbredbandkontant-filter .overlay__default .overlay__option,
  .kontantkort-filter .overlay__default .overlay__option,
  .page-template-sokresultat .overlay__default .overlay__option,
  .table-company-loans .overlay__default .overlay__option {
    justify-content: flex-start !important;
  }

  .table-info__buttons__price__overlay .overlay__default li,
  .table-info__buttons__sorting__overlay .overlay__default li {
    margin-left: 0 !important;
  }

  .overlay__default .overlay__option {
    margin: 0 !important;
  }

  .table-info__buttons__price__overlay .overlay__default,
  .table-info__buttons__sorting__overlay .overlay__default {
    justify-content: flex-start !important;
  }

  .kontantkort-filter .table-info,
  .mobiltbredbandkontant-filter .table-info {
    justify-content: flex-start;
  }

  .table-economy .table-info,
  .table-bolan .table-info,
  .table-company-loans .table-info {
    justify-content: space-between;
  }

  .table-economy .overlay__default .overlay__option {
    justify-content: space-between !important;
  }

  .table-economy .filter-sorting-fixed,
  .table-bolan .filter-sorting-fixed,
  .table-company-loans .filter-sorting-fixed {
    padding-top: 10px;
    justify-content: space-between;
  }

  .table-economy .filter-sorting-fixed .table-info__buttons__sorting,
  .table-bolan .filter-sorting-fixed .table-info__buttons__sorting,
  .table-company-loans .filter-sorting-fixed .table-info__buttons__sorting {
    margin-bottom: 0;
    display: none !important;
  }

  .table-info.insurance .overlay__default .overlay__option {
    width: auto;
    justify-content: space-between;
  }

  .table-info .table-info__headline {
    flex: 1 1 auto;
    font-size: 14px;
    font-weight: 700;
  }

  .table-info__subheadline {
    font-size: 12px;
  }

  .partner-modal-container {
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 100%;
    transform: none;
    border-radius: 0;
    max-height: none !important;
  }

  .partner-modal-container .product-modal-header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1;
    box-shadow: 0 2px 3px #4A4E691A;
    background: #fff;
  }

  .mobilabonnemang-modal.partner-modal-container .product-modal-header,
  .kontantkort-modal.partner-modal-container .product-modal-header,
  .mobiltbredband-modal.partner-modal-container .product-modal-header,
  .mobiltbredbandkontant-modal.partner-modal-container .product-modal-header,
  .partner-modal-container-broadband.partner-modal-container .product-modal-header {
    box-shadow: 0 2px 3px #2E54B626;
  }

  .partner-modal-container .product-modal-header .product-modal-header-close {
    display: flex;
  }
  .partner-modal-container .product-modal-header .product-modal-header-close > div {
    padding: 16px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 12px;
  }

  .table-company-loans + .partner-modal-container .product-modal-header,
  .partner-modal-container.economy-sector .product-modal-header {
    justify-content: center;
  }

  .partner-modal-container .product-modal-header i {
    color: #306BEA;
    font-size: 20px;
    font-weight: 600;
    line-height: 1;
  }

  .partner-modal-container .product-modal-header > span {
    margin-left: 28px;
    font-size: 16px;
    line-height: 1;
  }

  .partner-modal-container .product-modal-header .product-modal-header-name {
    font-size: 16px;
  }

  .partner-modal-container .product-modal-header .product-modal-header-name .data-column-container__unit {
    font-size: 20px;
  }

  .partner-modal-container .product-modal-header .column-container__item {
    margin-left: 0;
    flex: 1 1 auto;
  }

  .partner-modal-container .product-modal-header .product-modal-header-columns .data-column-container__value-container {
    font-size: 16px;
  }

  .partner-modal-container .product-modal-footer-price__price-color {
    font-size: 18px;
  }

  .partner-modal-container.kontantkort-modal .product-modal-header > span {
    font-size: 14px;
  }

  .partner-modal-container .product-modal-header .product-modal-header-columns {
    width: 100%;
    padding: 0 16px 0 0;
    order: 2;
    gap: 10px;
  }

  .partner-modal-container .product-modal-body {
    gap: 0;
    flex-direction: column;
    height: auto !important;
    max-height: 100%;
    padding: 52px 0 32px 0;
  }

  .partner-modal-container .product-modal-body .product-modal-section-title {
    margin-top: 0;
    padding: 16px 16px 8px;
  }

  .partner-modal-container .product-modal-body .product-modal-section-data:first-child {
    margin-top: 0;
  }

  .partner-modal-container .product-modal-body .product-modal-offer {
    margin: 16px;
  }

  .product-modal-section-data-wrapper {
    padding: 0 16px;
    margin-bottom: 8px;
  }

  .partner-modal-container .product-modal-footer {
    bottom: 0;
  }

  .partner-modal-container .product-modal-footer {
    padding: 16px;
    justify-content: space-between;
    flex-wrap: wrap;
    background: #fff;
  }

  .partner-modal-container .product-modal-footer .product-modal-footer-click-count {
    justify-content: center;
    margin: 0 auto 16px;
    line-height: 1;
    width: 100%;
  }

  .partner-modal-container .product-modal-footer.economy-sector .product-modal-footer-click-count {
    margin: 0 auto 16px;
  }

  .partner-modal-container .product-modal-footer img {
    display: flex !important;
    max-width: 80px;
  }

  .partner-modal-container .product-modal-footer .product-modal-footer-price,
  .product-modal-footer-cta {
    flex: 0 0 auto;
    margin-left: 0;
    margin-right: 0;
  }

  .partner-modal-container .product-modal-footer-price__campaign {
    align-items: start;
  }

  .economy-sector .product-modal-footer-cta {
    flex: 0 0 100%;
    width: 100%;
  }

  .partner-modal-container .product-modal-footer .product-modal-footer-price__price-color {
    font-size: 24px;
  }

  .partner-modal-container .product-modal-footer .product-modal-footer-price__ordinary .product-modal-footer-price__price-color,
  .partner-modal-container .product-modal-footer .product-modal-footer-price__yearly .product-modal-footer-price__price-color {
    font-size: 24px;
  }

  /* Economy sector */
  .partner-modal-container.economy-sector {
    padding: 16px;
  }
  .partner-modal-container.economy-sector .product-modal-body {
    padding: 30px 0 120px 0;
  }
  .partner-modal-container.economy-sector .product-modal-header {
    padding: 13px 16px !important;
  }
  .partner-modal-container.economy-sector .product-modal-header img {
    display: block;
  }
  .partner-modal-container.economy-sector .product-modal-header i {
    display: block !important;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    padding: 18px;
    color: #306BEA;
    font-size: 18px;
    font-weight: 600;
    line-height: 1;
  }
  .partner-modal-container.economy-sector .product-modal-body .product-modal-section-title {
    margin-top: 24px;
    padding: 0;
    border: none;
  }
  .partner-modal-container.economy-sector .product-modal-body .product-modal-section-title:after {
    display: none;
  }
}

@media screen and (max-width: 425px) {
  .no-result-string-first {
    font-size: 16px;
    max-width: 280px;
  }
  .no-result-string-second,
  .noResult .no-result-string-second .filter__container__button {
    font-size: 14px;
  }

  .table-container--cards {
    grid-template-columns: 100%;
  }

  .table-container--cards .p-cta-alt-articles {
    grid-column: 1;
  }

  .table-grid-compressed {
    grid-template-columns: 100%;
    grid-template-areas:
        "table-info"
        "table-container";
  }

  .table-grid-full-width {
    grid-template-columns: 100%;
    grid-template-areas:
        "table-info"
        "table-container";
  }

  .table-info .table-info__headline {
    margin-bottom: 0;
  }

  .table-grid-compressed {
    gap: 10px;
  }

  .no-partner-modal-container {
    transform: translate(0px, 0px);
    width: 100%;
    top: auto;
    bottom: 0;
    right: 0;
    left: 0;
    padding: 24px 16px 55px 16px;
    border-radius: 30px 30px 0 0;
  }

  .no-partner-modal-container .generic-width-max-content,
  .partner-modal-container .generic-width-max-content {
    max-width: none;
  }

  .table-row-error-report .table-row-error-report-close {
    font-size: 13px;
  }

}